## gdk-pixbuf 2.42.6+dfsg

=== debian/changelog ===
gdk-pixbuf (2.42.6+dfsg-1build2) impish; urgency=medium

  * Rebuild against release pocket.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Fri, 04 Jun 2021 11:57:23 +0200

gdk-pixbuf (2.42.6+dfsg-1) experimental; urgency=medium

  * Team upload
  * New upstream release
  * Drop patches that were applied upstream
  * d/copyright: Exclude pregenerated documentation and fonts from
    .orig.tar.xz
  * d/copyright: Use standalone license paragraphs
  * d/copyright: Update
  * d/README.source: Describe how to update to a new upstream.
    This is not quite the same as other GNOME packages because we have to
    repack the tarball.
  * Build documentation with gi-docgen
    - d/p/gi-docgen/Disable-web-fonts-for-now.patch:
      Disable use of remote or bundled fonts
    - d/p/gi-docgen/templates-Remove-html5shiv.patch:
      Disable use of remote html5shiv
    - d/rules: Use bundled gi-docgen even if it's installed system-wide.
      Until it's declared stable, the upstream recommendation is to vendor
      gi-docgen, which means Policy §4.13 allows an embedded code copy.
  * Build the PNG and JPEG loaders into the library.
    This matches upstream's recommendation: building these loaders in is
    one less thing that can go wrong.
    For the udeb, we previously installed the production library and the
    PNG loader; now we build a separate library that can only load PNGs.
    This means the udeb doesn't actually need loadable modules at all.
    Create an empty loaders.cache file, just to prevent warnings.
  * d/control: Add -dev dependencies on libjpeg-dev, libtiff-dev.
    The pkg-config metadata now depends on these.

 -- Simon McVittie <smcv@debian.org>  Wed, 02 Jun 2021 21:29:21 +0100
