=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export DEB_LDFLAGS_MAINT_APPEND = -Wl,-O1 -Wl,-z,defs -Wl,--as-needed

include /usr/share/dpkg/architecture.mk

built_binaries := $(shell dh_listpackages)
meson_options = \
	--force-fallback-for=gi-docgen \
	$(NULL)

ifneq (,$(filter libgdk-pixbuf2.0-doc,$(built_binaries)))
  BUILD_DOCS:=-Dgtk_doc=true
else
  BUILD_DOCS:=-Dgtk_doc=false
endif

%:
	dh $@ --with gir,gnome

override_dh_auto_configure:
	dh_auto_configure -- \
		$(meson_options) \
		$(BUILD_DOCS) \
		-Dinstalled_tests=true \
		-Dintrospection=enabled \
		$(NULL)
ifneq ($(filter %-udeb,$(built_binaries)),)
	dh_auto_configure \
		--builddirectory=obj-udeb \
		-- \
		$(meson_options) \
		-Dbuiltin_loaders=png \
		-Dinstalled_tests=false \
		-Dintrospection=disabled \
		-Dgtk_doc=false \
		-Dpng=true \
		-Dtiff=false \
		-Djpeg=false \
		-Dman=false \
		$(NULL)
endif

override_dh_auto_build:
	dh_auto_build
ifneq ($(filter %-udeb,$(built_binaries)),)
	dh_auto_build --builddirectory=obj-udeb
endif

override_dh_auto_install:
	dh_auto_install
ifneq ($(filter %-udeb,$(built_binaries)),)
	dh_auto_install --builddirectory=obj-udeb --destdir=debian/tmp-udeb
endif

# temporary directory for the minimal MIME cache generation
mimedir := debian/build-mime
mimexml := /usr/share/mime/packages/freedesktop.org.xml

infiles := \
	libgdk-pixbuf-2.0-0.triggers \
	libgdk-pixbuf-2.0-0.postinst \
	libgdk-pixbuf-2.0-0.postrm

override_dh_auto_test:
ifeq ($(filter nocheck,$(DEB_BUILD_OPTIONS)),)
	# on slow arches the "slow" tests take longer than the timeout allowed
	# by upstream; allow even more time (-t is a multipiler)
ifneq (,$(filter $(DEB_HOST_ARCH),kfreebsd-amd64))
	meson test --print-errorlogs -C $(CURDIR)/obj-$(DEB_HOST_GNU_TYPE) -t 5 --no-suite=flaky || true
else
	meson test --print-errorlogs -C $(CURDIR)/obj-$(DEB_HOST_GNU_TYPE) -t 5 --no-suite=flaky
endif
endif

override_dh_install:
	# process .in files
	set -e; for file in $(infiles); do \
		sed -e"s/#MULTIARCH#/$(DEB_HOST_MULTIARCH)/g" \
			debian/$${file}.in > debian/$$file; \
	done
ifneq ($(filter %-udeb,$(built_binaries)),)
	# generate a minimal MIME cache for the udeb
	mkdir -p $(mimedir)/packages
	[ -f $(mimexml) ]
	xsltproc -nonet debian/keep-png-only.xsl $(mimexml) \
		> $(mimedir)/packages/png.freedesktop.org.xml
	update-mime-database $(mimedir)
	install -m 0644 -D $(mimedir)/mime.cache debian/libgdk-pixbuf-2.0-0-udeb/usr/share/mime/mime.cache
	# an empty loaders cache, everything we need for d-i is built-in
	mkdir -p debian/libgdk-pixbuf-2.0-0-udeb/usr/lib/$(DEB_HOST_MULTIARCH)/gdk-pixbuf-2.0/2.10.0
	touch debian/libgdk-pixbuf-2.0-0-udeb/usr/lib/$(DEB_HOST_MULTIARCH)/gdk-pixbuf-2.0/2.10.0/loaders.cache
	chmod 0644 debian/libgdk-pixbuf-2.0-0-udeb/usr/lib/$(DEB_HOST_MULTIARCH)/gdk-pixbuf-2.0/2.10.0/loaders.cache
	rm -f debian/tmp-udeb/usr/lib/*/libgtk_pixbuf-2.0.so
	rm -fr debian/tmp-udeb/usr/lib/*/pkgconfig
	dh_install -plibgdk-pixbuf-2.0-0-udeb --sourcedir=debian/tmp-udeb
endif
	dh_install --remaining-packages

override_dh_makeshlibs-arch:
	dh_makeshlibs -plibgdk-pixbuf-2.0-0 --add-udeb=libgdk-pixbuf-2.0-0-udeb -X "/usr/lib/$(DEB_HOST_MULTIARCH)/gdk-pixbuf-2.0" -V -- -c4
	dh_makeshlibs --remaining-packages -V -- -c4

override_dh_missing:
ifneq ($(filter %-udeb,$(built_binaries)),)
	dh_missing --sourcedir=debian/tmp-udeb --fail-missing
endif
	dh_missing --fail-missing

override_dh_clean:
	dh_clean
	set -e; for file in $(infiles); do \
		rm -f debian/$$file; \
	done
	rm -rf $(mimedir)

override_dh_builddeb:
	# on Ubuntu PNGs are optimised using 'optipng', but the (installed)
	# testsuite relies on them being unmangled
	NO_PNG_PKG_MANGLE=1 dh_builddeb -pgdk-pixbuf-tests
	dh_builddeb --remaining-packages

override_dh_strip_nondeterminism:
	dh_strip_nondeterminism -Xinstalled-tests
