=== debian/changelog ===
gdk-pixbuf (2.42.8+dfsg-1ubuntu0.4) jammy-security; urgency=medium

  * SECURITY UPDATE: Potential memory leak
    - debian/patches/CVE-2025-6199.patch: fix reporting
      of bytes written in decoder in gdk-pixbuf/lzw.c.
    - CVE-2025-6199
  * SECURITY UPDATE: Heap buffer overflow
    - debian/patches/CVE-2025-7345.patch: be more careful
      with chunked icc data in gdk-pixbuf/io-jpeg.c.
    - CVE-2025-7345

 -- Leonidas Da Silva Barbosa <leo.barbosa@canonical.com>  Tue, 15 Jul 2025 07:12:09 -0300

gdk-pixbuf (2.42.8+dfsg-1ubuntu0.3) jammy-security; urgency=medium

  * SECURITY UPDATE: heap memory corruption
    - debian/patches/CVE-2022-48622-*.patch: adds checks for invalid ani files
      to gdk-pixbuf/io-ani.c.
    - tests/tests-images/fail/CVE-2022-48622.ani: test file.
    - debian/source/include-binaries: including binary test file.
    - CVE-2022-48622

 -- Ian Constantin <ian.constantin@canonical.com>  Mon, 03 Jun 2024 19:40:54 +0300

gdk-pixbuf (2.42.8+dfsg-1ubuntu0.2) jammy; urgency=medium

  * debian/patches/debian_queryloader_dir.patch:
    - fix the directory referenced for gdk-pixbuf-query-loaders 
      in the .pc since that file is moved by the packaging (lp: #1993785)

 -- Sebastien Bacher <seb128@ubuntu.com>  Fri, 21 Oct 2022 09:26:30 +0200

gdk-pixbuf (2.42.8+dfsg-1ubuntu0.1) jammy-security; urgency=medium

  * SECURITY UPDATE: Heap-Buffer-Overflow
    - debian/patches/CVE-2021-44648-1.patch: Add an assertion that checks for maximum LZW code size
      in gdk-pixbuf/lzw.c.
    - debian/patches/CVE-2021-44648-2.patch: Fix the check for maximum value
      of LZW initial code size in gdk-pixbuf/io-gif.c.
    - debian/patches/CVE-2021-44648-3.patch:  Add tests for GIF files with
      invalid LZW code size in tests/tests-images/fail/* and
      tests/tests-images/gif-test-suite/*.
    - debian/source/include-binaries: add tests binaries to the package
    - CVE-2021-44648

 -- Leonidas Da Silva Barbosa <leo.barbosa@canonical.com>  Wed, 07 Sep 2022 11:14:12 -0300

gdk-pixbuf (2.42.8+dfsg-1) unstable; urgency=medium

  [ Jeremy Bicha ]
  * New upstream release
  * debian/control.in: Loosen dependency on libgdk-pixbuf2.0-common.
    This fixes an issue seen repeatedly in Ubuntu when the amd64 (+all)
    build finishes and is published before one of the other arches starts
    to build.
  * Build-Depend on gi-docgen
  * Build-Depend on dh-sequence-gir & dh-sequence-gnome
  * debian/rules: Update configure flags
  * debian/rules: Drop unneeded -Wl,--as-needed
  * debian/copyright: Use shorter CC0-1.0 text
  * debian/rules: Handle over-aggressive dh_fixperms for installed-tests

  [ Simon McVittie ]
  * Use debhelper compat level 13
    - We can now use debhelper substitutions for DEB_HOST_MULTIARCH in
      d/libgdk-pixbuf-2.0-0.install, rather than using dh-exec.
    - We can now pass `meson test` options to dh_auto_test, which no longer
      uses `ninja test` directly.

 -- Jeremy Bicha <jbicha@ubuntu.com>  Mon, 28 Mar 2022 15:44:22 -0400

gdk-pixbuf (2.42.6+dfsg-2) unstable; urgency=medium

  * Team upload
  * Upload to unstable

 -- Simon McVittie <smcv@debian.org>  Sun, 15 Aug 2021 14:39:53 +0100
