=== debian/control ===
--- 
+++ 
@@ -5,14 +5,15 @@
 Source: gdk-pixbuf
 Section: libs
 Priority: optional
-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
-Uploaders: Iain Lane <laney@debian.org>, Jeremy Bicha <jbicha@debian.org>, Laurent Bigonville <bigon@debian.org>
-Build-Depends: debhelper-compat (= 12),
-               dh-exec,
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
+Uploaders: Emilio Pozuelo Monfort <pochu@debian.org>, Iain Lane <laney@debian.org>, Jeremy Bicha <jbicha@ubuntu.com>, Laurent Bigonville <bigon@debian.org>
+Build-Depends: debhelper-compat (= 13),
+               dh-sequence-gir,
+               dh-sequence-gnome,
                docbook-xml,
                docbook-xsl,
-               gnome-pkg-tools (>= 0.10),
-               gobject-introspection (>= 0.9.12-4~),
+               gi-docgen,
                libgirepository1.0-dev (>= 0.9.3),
                libglib2.0-dev (>= 2.56.0),
                libjpeg-dev,
@@ -22,12 +23,6 @@
                meson (>= 0.55.3),
                shared-mime-info (>= 1.2),
                xsltproc
-Build-Depends-Indep: python3 (>= 3.6) <!nodoc>,
-                     python3-jinja2 <!nodoc>,
-                     python3-markdown <!nodoc>,
-                     python3-pygments <!nodoc>,
-                     python3-toml <!nodoc>,
-                     python3-typogrify <!nodoc>,
 Rules-Requires-Root: no
 Standards-Version: 4.5.1
 Homepage: https://www.gtk.org/
@@ -36,7 +31,7 @@
 
 Package: libgdk-pixbuf-2.0-0
 Architecture: any
-Depends: libgdk-pixbuf2.0-common (= ${source:Version}),
+Depends: libgdk-pixbuf2.0-common (>= ${source:Version}),
          shared-mime-info,
          ${misc:Depends},
          ${shlibs:Depends}
