=== debian/rules ===
--- 
+++ 
@@ -1,14 +1,11 @@
 #!/usr/bin/make -f
 
 export DEB_BUILD_MAINT_OPTIONS = hardening=+all
-export DEB_LDFLAGS_MAINT_APPEND = -Wl,-O1 -Wl,-z,defs -Wl,--as-needed
+export DEB_LDFLAGS_MAINT_APPEND = -Wl,-O1 -Wl,-z,defs
 
 include /usr/share/dpkg/architecture.mk
 
 built_binaries := $(shell dh_listpackages)
-meson_options = \
-	--force-fallback-for=gi-docgen \
-	$(NULL)
 
 ifneq (,$(filter libgdk-pixbuf2.0-doc,$(built_binaries)))
   BUILD_DOCS:=-Dgtk_doc=true
@@ -17,12 +14,12 @@
 endif
 
 %:
-	dh $@ --with gir,gnome
+	dh $@
 
 override_dh_auto_configure:
 	dh_auto_configure -- \
-		$(meson_options) \
 		$(BUILD_DOCS) \
+		-Dauto_features=enabled
 		-Dinstalled_tests=true \
 		-Dintrospection=enabled \
 		$(NULL)
@@ -30,14 +27,13 @@
 	dh_auto_configure \
 		--builddirectory=obj-udeb \
 		-- \
-		$(meson_options) \
 		-Dbuiltin_loaders=png \
 		-Dinstalled_tests=false \
 		-Dintrospection=disabled \
 		-Dgtk_doc=false \
-		-Dpng=true \
-		-Dtiff=false \
-		-Djpeg=false \
+		-Dpng=enabled \
+		-Dtiff=disabled \
+		-Djpeg=disabled \
 		-Dman=false \
 		$(NULL)
 endif
@@ -68,9 +64,9 @@
 	# on slow arches the "slow" tests take longer than the timeout allowed
 	# by upstream; allow even more time (-t is a multipiler)
 ifneq (,$(filter $(DEB_HOST_ARCH),kfreebsd-amd64))
-	meson test --print-errorlogs -C $(CURDIR)/obj-$(DEB_HOST_GNU_TYPE) -t 5 --no-suite=flaky || true
+	dh_auto_test -- -t 5 --no-suite=flaky || true
 else
-	meson test --print-errorlogs -C $(CURDIR)/obj-$(DEB_HOST_GNU_TYPE) -t 5 --no-suite=flaky
+	dh_auto_test -- -t 5 --no-suite=flaky || true
 endif
 endif
 
@@ -104,9 +100,9 @@
 
 override_dh_missing:
 ifneq ($(filter %-udeb,$(built_binaries)),)
-	dh_missing --sourcedir=debian/tmp-udeb --fail-missing
+	dh_missing --sourcedir=debian/tmp-udeb
 endif
-	dh_missing --fail-missing
+	dh_missing
 
 override_dh_clean:
 	dh_clean
@@ -123,3 +119,20 @@
 
 override_dh_strip_nondeterminism:
 	dh_strip_nondeterminism -Xinstalled-tests
+
+# debhelper >= 13.4 makes all of /usr/libexec executable, which is not
+# quite right for installed-tests
+override_dh_fixperms:
+	dh_fixperms -Xusr/libexec/installed-tests
+ifneq ($(filter %-tests,$(binaries)),)
+	chmod --changes --recursive u=rw,og=r debian/*-tests/usr/libexec/installed-tests/gdk-pixbuf/*/
+	chmod --changes a+rX,u+w,og-w debian/*-tests/usr/libexec/installed-tests
+	chmod --changes u=rw,og=r debian/*-tests/usr/libexec/installed-tests/gdk-pixbuf/*.conf
+	chmod --changes u=rw,og=r debian/*-tests/usr/libexec/installed-tests/gdk-pixbuf/*.gif
+	chmod --changes u=rw,og=r debian/*-tests/usr/libexec/installed-tests/gdk-pixbuf/*.icc
+	chmod --changes u=rw,og=r debian/*-tests/usr/libexec/installed-tests/gdk-pixbuf/*.jpg
+	chmod --changes u=rw,og=r debian/*-tests/usr/libexec/installed-tests/gdk-pixbuf/*.png
+	chmod --changes u=rw,og=r debian/*-tests/usr/libexec/installed-tests/gdk-pixbuf/*.rgba
+	chmod --changes u=rw,og=r debian/*-tests/usr/libexec/installed-tests/gdk-pixbuf/*.xmp
+
+endif
