## gdk-pixbuf 2.42.9+dfsg

=== debian/changelog ===
gdk-pixbuf (2.42.9+dfsg-1ubuntu1) kinetic; urgency=medium

  * debian/patches/git_jpg_memlimit.patch:
    - increase the new jpg loader memory limitation to 1GB, the 100MB
      value previously used isn't enough for highres images (lp: #1998263)

 -- Sebastien Bacher <seb128@ubuntu.com>  Fri, 13 Jan 2023 12:20:08 +0100

gdk-pixbuf (2.42.9+dfsg-1) unstable; urgency=medium

  * New upstream release
  * d/rules, d/control.in: Build-depend on python3-docutils for man pages.
    We no longer need docbook DTDs or stylesheets. We still need xsltproc,
    but only if we're building the udeb.
  * d/watch: Update options
  * d/changelog: Remove trailing whitespace
  * d/copyright: Stop excluding gi-docgen, no longer in upstream tarballs
  * d/copyright: Exclude prebuilt documentation when importing tarball
  * debian/patches/debian_queryloader_dir.patch:
    Format patch metadata for gbp pq
  * d/p/tests-Tolerate-either-CORRUPT_IMAGE-or-INSUFFICIENT_MEMOR.patch:
    Add patch to work around test failures with very large JPEG.
    Be less demanding about the exact error behaviour, but instead just
    require there to be an error.

 -- Simon McVittie <smcv@debian.org>  Tue, 16 Aug 2022 11:20:11 +0100

gdk-pixbuf (2.42.8+dfsg-2) unstable; urgency=medium

  * debian/patches/debian_queryloader_dir.patch:
    - fix the directory referenced for gdk-pixbuf-query-loaders
      in the .pc since that file is moved by the packaging

 -- Sebastien Bacher <seb128@ubuntu.com>  Wed, 27 Jul 2022 15:23:37 +0200
