=== debian/control ===
--- 
+++ 
@@ -11,8 +11,6 @@
 Build-Depends: debhelper-compat (= 13),
                dh-sequence-gir,
                dh-sequence-gnome,
-               docbook-xml,
-               docbook-xsl,
                gi-docgen,
                libgirepository1.0-dev (>= 0.9.3),
                libglib2.0-dev (>= 2.56.0),
@@ -21,8 +19,9 @@
                libpng-dev (>= 1.6),
                libtiff-dev,
                meson (>= 0.55.3),
+               python3-docutils <!nodoc>,
                shared-mime-info (>= 1.2),
-               xsltproc
+               xsltproc <!noudeb>
 Rules-Requires-Root: no
 Standards-Version: 4.5.1
 Homepage: https://www.gtk.org/
