## gdk-pixbuf 2.42.10%2Bdfsg

=== debian/rules ===
--- 
+++ 
@@ -13,13 +13,19 @@
   BUILD_DOCS:=-Dgtk_doc=false
 endif
 
+ifeq (,$(filter nodoc,$(DEB_BUILD_OPTIONS)))
+  BUILD_DOCS += -Dman=true
+else
+  BUILD_DOCS += -Dman=false
+endif
+
 %:
 	dh $@
 
 override_dh_auto_configure:
 	dh_auto_configure -- \
 		$(BUILD_DOCS) \
-		-Dauto_features=enabled
+		-Dauto_features=enabled \
 		-Dinstalled_tests=true \
 		-Dintrospection=enabled \
 		$(NULL)
@@ -111,6 +117,9 @@
 	done
 	rm -rf $(mimedir)
 
+override_dh_gnome_clean:
+	dh_gnome_clean --no-control
+
 override_dh_builddeb:
 	# on Ubuntu PNGs are optimised using 'optipng', but the (installed)
 	# testsuite relies on them being unmangled
