## gdk-pixbuf 2.42.10+dfsg

=== debian/changelog ===
gdk-pixbuf (2.42.10+dfsg-3ubuntu3.2) noble-security; urgency=medium

  * SECURITY UPDATE: Potential memory leak
    - debian/patches/CVE-2025-6199.patch: fix reporting
      of bytes written in decoder in gdk-pixbuf/lzw.c.
    - CVE-2025-6199
  * SECURITY UPDATE: Heap buffer overflow
    - debian/patches/CVE-2025-7345.patch: be more careful
      with chunked icc data in gdk-pixbuf/io-jpeg.c.
    - CVE-2025-7345

 -- Leonidas Da Silva Barbosa <leo.barbosa@canonical.com>  Fri, 27 Jun 2025 10:12:04 -0300

gdk-pixbuf (2.42.10+dfsg-3ubuntu3.1) noble-security; urgency=medium

  * SECURITY UPDATE: heap memory corruption
    - debian/patches/CVE-2022-48622-*.patch: adds checks for invalid ani files
      to gdk-pixbuf/io-ani.c.
    - tests/tests-images/fail/CVE-2022-48622.ani: test file.
    - debian/source/include-binaries: including binary test file.
    - CVE-2022-48622

 -- Ian Constantin <ian.constantin@canonical.com>  Mon, 03 Jun 2024 19:36:10 +0300

gdk-pixbuf (2.42.10+dfsg-3ubuntu3) noble; urgency=medium

  * Rebuild against new libpng16-16t64.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Tue, 16 Apr 2024 15:33:12 +0200

gdk-pixbuf (2.42.10+dfsg-3ubuntu2) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 31 Mar 2024 01:04:18 +0000

gdk-pixbuf (2.42.10+dfsg-3ubuntu1) noble; urgency=medium

  * Drop dh-sequence-gnome from Build-Depends

 -- Zixing Liu <zixing.liu@canonical.com>  Fri, 08 Mar 2024 15:37:24 -0700

gdk-pixbuf (2.42.10+dfsg-3build1) noble; urgency=medium

  * No-change rebuild against libpng16-16t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Thu, 29 Feb 2024 06:36:05 +0000

gdk-pixbuf (2.42.10+dfsg-3) unstable; urgency=medium

  * Team upload
  * d/control, d/rules: Reinstate dh-sequence-gnome, but disable
    control.in.
    Ubuntu uses this sequence to pull in the Ubuntu-specific
    dh_translations.
  * d/control: Add ${gir:Depends} to -dev package
  * d/control: Use ${gir:Provides} instead of hard-coding it.
    gobject-introspection (>= 1.78.1-5~) generates this for us.

 -- Simon McVittie <smcv@debian.org>  Tue, 14 Nov 2023 10:02:24 +0000

gdk-pixbuf (2.42.10+dfsg-2) unstable; urgency=medium

  * Team upload

  [ Amin Bandali ]
  * Change packaging branch to debian/latest

  [ Simon McVittie ]
  * d/clean: Clean up debian/tmp-udeb/, obj-udeb/ (Closes: #1045013)
  * d/rules: Fix escaped newline.
    No functional change, because the options after the incorrect newline
    were explicitly setting default behaviour anyway.
  * d/.gitignore: Add
  * d/control: Stop generating from a template.
    We don't use any of the other dh-sequence-gnome features (there are no
    libtool archives, and we don't use the gnome:Foo family of substvars)
    so drop the build-dependency on dh-sequence-gnome.
  * d/control: Add Provides on gir1.2-*-dev package names.
    Adding versioned Provides on gir1.2-*-dev corresponding to each GIR XML
    file is a small step towards being able to exclude GObject-Introspection
    with a build-profile when cross-compiling.
    (Helps: #1030223)
  * Remove version constraints unnecessary since bullseye (oldstable)
  * Update standards version to 4.6.2, no changes needed.

 -- Simon McVittie <smcv@debian.org>  Wed, 01 Nov 2023 23:29:20 +0000

gdk-pixbuf (2.42.10+dfsg-1) unstable; urgency=medium

  * Team upload
  * New upstream release
    - Increase memory limit for JPEGs to 1 GiB
  * Update standards version to 4.6.1 (no changes needed)
  * d/upstream/metadata: Update Gitlab URLs

 -- Simon McVittie <smcv@debian.org>  Fri, 18 Nov 2022 19:13:50 +0000
