=== debian/control ===
--- 
+++ 
@@ -1,7 +1,3 @@
-# This file is autogenerated. DO NOT EDIT!
-#
-# Modifications should be made to debian/control.in instead.
-# This file is regenerated automatically in the clean target.
 Source: gdk-pixbuf
 Section: libs
 Priority: optional
@@ -10,20 +6,19 @@
 Uploaders: Emilio Pozuelo Monfort <pochu@debian.org>, Iain Lane <laney@debian.org>, Jeremy Bicha <jbicha@ubuntu.com>, Laurent Bigonville <bigon@debian.org>
 Build-Depends: debhelper-compat (= 13),
                dh-sequence-gir,
-               dh-sequence-gnome,
                gi-docgen,
-               libgirepository1.0-dev (>= 0.9.3),
-               libglib2.0-dev (>= 2.56.0),
+               libgirepository1.0-dev (>= 1.78.1-5~),
+               libglib2.0-dev,
                libjpeg-dev,
                libpng-dev (<< 1.7),
-               libpng-dev (>= 1.6),
+               libpng-dev,
                libtiff-dev,
-               meson (>= 0.55.3),
+               meson,
                python3-docutils <!nodoc>,
-               shared-mime-info (>= 1.2),
+               shared-mime-info,
                xsltproc <!noudeb>
 Rules-Requires-Root: no
-Standards-Version: 4.5.1
+Standards-Version: 4.6.2
 Homepage: https://www.gtk.org/
 Vcs-Git: https://salsa.debian.org/gnome-team/gdk-pixbuf.git
 Vcs-Browser: https://salsa.debian.org/gnome-team/gdk-pixbuf
@@ -36,8 +31,6 @@
          ${shlibs:Depends}
 Pre-Depends: ${misc:Pre-Depends}
 Recommends: libgdk-pixbuf2.0-bin
-Breaks: libgdk-pixbuf2.0-0 (<< 2.40.0+dfsg-6~)
-Replaces: libgdk-pixbuf2.0-0 (<< 2.40.0+dfsg-6~)
 Multi-Arch: same
 Description: GDK Pixbuf library
  The GDK Pixbuf library provides:
@@ -49,8 +42,6 @@
 Architecture: any
 Depends: ${misc:Depends}, ${shlibs:Depends}
 Multi-Arch: foreign
-Replaces: libgdk-pixbuf2.0-dev (<< 2.36.12-2~)
-Breaks: libgdk-pixbuf2.0-dev (<< 2.36.12-2~)
 Description: GDK Pixbuf library (thumbnailer)
  The GDK Pixbuf library provides:
   - Image loading and saving facilities.
@@ -75,16 +66,16 @@
 Depends: gir1.2-gdkpixbuf-2.0 (= ${binary:Version}),
          libgdk-pixbuf-2.0-0 (= ${binary:Version}),
          libgdk-pixbuf2.0-bin (= ${binary:Version}),
-         libglib2.0-dev (>= 2.56.0),
+         libglib2.0-dev,
          libjpeg-dev,
          libpng-dev (<< 1.7),
-         libpng-dev (>= 1.6),
+         libpng-dev,
          libtiff-dev,
          shared-mime-info,
+         ${gir:Depends},
          ${misc:Depends},
          ${shlibs:Depends}
-Breaks: libgdk-pixbuf2.0-dev (<< 2.40.0+dfsg-6~)
-Replaces: libgdk-pixbuf2.0-dev (<< 2.40.0+dfsg-6~)
+Provides: ${gir:Provides}
 Description: GDK Pixbuf library (development files)
  The GDK Pixbuf library provides:
   - Image loading and saving facilities.
@@ -146,8 +137,7 @@
 Architecture: any
 Multi-Arch: same
 Depends: ${gir:Depends}, ${misc:Depends}, ${shlibs:Depends}
-Breaks: libgtk3-perl (<< 0.034-2~)
-Provides: gir1.2-gdkpixdata-2.0 (= ${binary:Version})
+Provides: ${gir:Provides}
 Description: GDK Pixbuf library - GObject-Introspection
  The GDK Pixbuf library provides:
   - Image loading and saving facilities.
