=== debian/control ===
--- 
+++ 
@@ -1,24 +1,28 @@
 Source: gdk-pixbuf
 Section: libs
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
-Uploaders: Emilio Pozuelo Monfort <pochu@debian.org>, Iain Lane <laney@debian.org>, Jeremy Bicha <jbicha@ubuntu.com>, Laurent Bigonville <bigon@debian.org>
+Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
+Uploaders: Emilio Pozuelo Monfort <pochu@debian.org>,
+           Iain Lane <laney@debian.org>,
+           Jeremy Bicha <jbicha@ubuntu.com>,
+           Laurent Bigonville <bigon@debian.org>
 Build-Depends: debhelper-compat (= 13),
                dh-sequence-gir,
+               dh-sequence-gnome,
                gi-docgen,
-               libgirepository1.0-dev (>= 1.78.1-5~),
+               gir1.2-gio-2.0-dev,
+               gir1.2-gmodule-2.0-dev,
+               gobject-introspection (>= 1.80),
                libglib2.0-dev,
                libjpeg-dev,
                libpng-dev (<< 1.7),
-               libpng-dev,
                libtiff-dev,
                meson,
                python3-docutils <!nodoc>,
                shared-mime-info,
                xsltproc <!noudeb>
 Rules-Requires-Root: no
-Standards-Version: 4.6.2
+Standards-Version: 4.7.2
 Homepage: https://www.gtk.org/
 Vcs-Git: https://salsa.debian.org/gnome-team/gdk-pixbuf.git
 Vcs-Browser: https://salsa.debian.org/gnome-team/gdk-pixbuf
@@ -29,7 +33,6 @@
          shared-mime-info,
          ${misc:Depends},
          ${shlibs:Depends}
-Pre-Depends: ${misc:Pre-Depends}
 Recommends: libgdk-pixbuf2.0-bin
 Multi-Arch: same
 Description: GDK Pixbuf library
@@ -69,7 +72,6 @@
          libglib2.0-dev,
          libjpeg-dev,
          libpng-dev (<< 1.7),
-         libpng-dev,
          libtiff-dev,
          shared-mime-info,
          ${gir:Depends},
@@ -104,7 +106,9 @@
 Package-Type: udeb
 Section: debian-installer
 Architecture: any
-Depends: libgdk-pixbuf-2.0-0-udeb (= ${binary:Version}), ${misc:Depends}, ${shlibs:Depends}
+Depends: libgdk-pixbuf-2.0-0-udeb (= ${binary:Version}),
+         ${misc:Depends},
+         ${shlibs:Depends}
 Description: GDK Pixbuf library - minimal runtime
  This is a udeb, or a microdeb, for the debian-installer.
  .
