## gdk-pixbuf 2.44.3+dfsg

=== meson_options.txt ===
option('png',
       description: 'Enable PNG loader (requires libpng)',
       type: 'feature',
       value: 'auto')
option('tiff',
       description: 'Enable TIFF loader (requires libtiff), disabled on Windows if "native_windows_loaders" is used',
       type: 'feature',
       value: 'auto')
option('jpeg',
       description: 'Enable JPEG loader (requires libjpeg), disabled on Windows if "native_windows_loaders" is used',
       type: 'feature',
       value: 'auto')
option('gif',
       description: 'Enable GIF loader, disabled on Windows if "native_windows_loaders" is used',
       type: 'feature',
       value: 'auto')
option('glycin',
       description: 'Enable Glycin loader (requires glycin)',
       type: 'feature',
       value: 'auto')
option('android',
       description: 'Enable Android ImageDecoder loader. It provides loaders for JPEG, PNG, GIF, WEBP, BMP, ICO, WBMP, and HEIF images',
       type: 'feature',
       value: 'auto')
option('others',
       description: 'Enable other loaders, which are weakly maintained',
       type: 'feature',
       value: 'disabled')
option('builtin_loaders',
       description: 'Comma-separated list of loaders to build into gdk-pixbuf',
       type: 'array',
       choices: ['default', 'all', 'none', 'windows', 'png', 'bmp', 'gif', 'ico', 'ani', 'jpeg', 'pnm', 'tiff', 'xpm', 'xbm', 'tga', 'icns', 'qtif', 'glycin'],
       value: ['default'])
option('gtk_doc',
       description: 'Whether to generate the API reference',
       deprecated: 'documentation',
       type: 'boolean',
       value: false,
       yield: true)
option('documentation',
       description: 'Build the API reference (requires gi-docgen)',
       type: 'boolean',
       value: false,
       yield: true)
option('introspection',
       description: 'Whether to generate the API introspection data (requires GObject-Introspection)',
       type: 'feature',
       value: 'auto',
       yield: true)
option('man',
       description: 'Whether to generate man pages (requires rst2man)',
       type: 'boolean',
       value: true)
option('relocatable',
       description: 'Whether to enable application bundle relocation support',
       type: 'boolean',
       value: false)
option('native_windows_loaders',
       description: 'Use Windows system components to handle BMP, EMF, GIF, ICO, JPEG, TIFF and WMF images, overriding jpeg and tiff.  To build this into gdk-pixbuf, pass in windows" with the other loaders to build in or use "all" with the builtin_loaders option',
       type: 'boolean',
       value: false)
option('tests',
       description: 'Build the test suite',
       type: 'boolean',
       value: true)
option('installed_tests',
       description: 'Install the test suite',
       type: 'boolean',
       value: true)
option('gio_sniffing',
       description: 'Perform file type detection using GIO (Unused on MacOS and Windows)',
       type: 'boolean',
       value: true)
option('thumbnailer',
       description: 'Build the thumbnailer',
       type: 'feature',
       value: 'auto')
