=== debian/changelog ===
gdk-pixbuf (2.44.3+dfsg-3) unstable; urgency=medium

  * Cherry-pick proposed patch to fix bitmap loading, as seen in
    the window buttons feature for the Xfce panel

 -- Jeremy Bícha <jbicha@ubuntu.com>  Wed, 01 Oct 2025 14:37:38 -0400

gdk-pixbuf (2.44.3+dfsg-2) unstable; urgency=medium

  * Release to unstable

 -- Jeremy Bícha <jbicha@ubuntu.com>  Wed, 01 Oct 2025 06:45:40 -0400

gdk-pixbuf (2.44.3+dfsg-1) experimental; urgency=medium

  * New upstream release
  * Update configure options
    - Don't switch to glycin yet
    - Explicitly disable native Android loader
    - Disable tiff for udeb
    - Disable thumbnailer for udeb
    - Keep jpeg & png as "built-in" loaders since that was the previous default
  * Remove 3 patches applied in new release

 -- Jeremy Bícha <jbicha@ubuntu.com>  Tue, 30 Sep 2025 13:45:03 -0400
