=== debian/control ===
--- 
+++ 
@@ -140,7 +140,7 @@
 Section: introspection
 Architecture: any
 Multi-Arch: same
-Depends: ${gir:Depends}, ${misc:Depends}, ${shlibs:Depends}
+Depends: ${gir:Depends}, ${misc:Depends}
 Provides: ${gir:Provides}
 Description: GDK Pixbuf library - GObject-Introspection
  The GDK Pixbuf library provides:
