=== debian/rules ===
--- 
+++ 
@@ -8,9 +8,9 @@
 built_binaries := $(shell dh_listpackages)
 
 ifneq (,$(filter libgdk-pixbuf2.0-doc,$(built_binaries)))
-  BUILD_DOCS:=-Dgtk_doc=true
+  BUILD_DOCS:=-Ddocumentation=true
 else
-  BUILD_DOCS:=-Dgtk_doc=false
+  BUILD_DOCS:=-Ddocumentation=false
 endif
 
 ifeq (,$(filter nodoc,$(DEB_BUILD_OPTIONS)))
@@ -26,23 +26,31 @@
 	dh_auto_configure -- \
 		$(BUILD_DOCS) \
 		-Dauto_features=enabled \
+		-Dandroid=disabled \
+		-Dbuiltin_loaders=png,jpeg \
+		-Dglycin=disabled \
 		-Dinstalled_tests=true \
 		-Dintrospection=enabled \
 		-Dothers=enabled \
+		-Dthumbnailer=enabled \
 		$(NULL)
 ifneq ($(filter %-udeb,$(built_binaries)),)
 	dh_auto_configure \
 		--builddirectory=obj-udeb \
 		-- \
-		-Dbuiltin_loaders=png \
+		-Ddocumentation=false \
 		-Dinstalled_tests=false \
 		-Dintrospection=disabled \
-		-Dgtk_doc=false \
+		-Dman=false \
+		-Dthumbnailer=disabled \
+		-Dbuiltin_loaders=png \
+		-Dandroid=disabled \
+		-Dglycin=disabled \
+		-Dgif=disabled \
+		-Djpeg=disabled \
+		-Dothers=disabled \
 		-Dpng=enabled \
 		-Dtiff=disabled \
-		-Djpeg=disabled \
-		-Dothers=disabled \
-		-Dman=false \
 		$(NULL)
 endif
