## gdk-pixbuf 2.44.4%2Bdfsg

=== debian/rules ===
--- 
+++ 
@@ -19,38 +19,37 @@
   BUILD_DOCS += -Dman=false
 endif
 
+ifneq (,$(filter $(DEB_HOST_ARCH), amd64 arm64 armhf loong64 ppc64el riscv64 s390x))
+  # glycin doesn't handle xbm & xpm yet #1071271
+  GLYCIN = -Dglycin=enabled -Dbuiltin_loaders=glycin,xbm,xpm
+else
+  GLYCIN = -Dglycin=disabled -Dbuiltin_loaders=png,jpeg -Dthumbnailer=enabled \
+		-Dgif=enabled -Djpeg=enabled -Dpng=enabled -Dtiff=enabled \
+		-Dothers=enabled -Dthumbnailer=enabled
+endif
+
 %:
 	dh $@
 
 override_dh_auto_configure:
 	dh_auto_configure -- \
 		$(BUILD_DOCS) \
-		-Dauto_features=enabled \
-		-Dandroid=disabled \
-		-Dbuiltin_loaders=png,jpeg \
-		-Dglycin=disabled \
+		$(GLYCIN) \
+		-Dauto_features=disabled \
 		-Dinstalled_tests=true \
 		-Dintrospection=enabled \
-		-Dothers=enabled \
-		-Dthumbnailer=enabled \
 		$(NULL)
 ifneq ($(filter %-udeb,$(built_binaries)),)
 	dh_auto_configure \
 		--builddirectory=obj-udeb \
 		-- \
+		-Dauto_features=disabled \
 		-Ddocumentation=false \
 		-Dinstalled_tests=false \
 		-Dintrospection=disabled \
 		-Dman=false \
-		-Dthumbnailer=disabled \
 		-Dbuiltin_loaders=png \
-		-Dandroid=disabled \
-		-Dglycin=disabled \
-		-Dgif=disabled \
-		-Djpeg=disabled \
-		-Dothers=disabled \
 		-Dpng=enabled \
-		-Dtiff=disabled \
 		$(NULL)
 endif
